Subject: Fwd: WG Action: Layer 2 Virtual Private Networks (l2vpn) Working Group

From: Alex Zinin <[email-masked]>
Date: Tue, 8 Jul 2003 10:44:39 -0700

FYI below, folks.
-- 
Alex
http://www.psg.com/~zinin/

This is a forwarded message
From: The IESG <[email-masked]>
To: 
Cc: [email-masked], [email-masked], [email-masked]
Date: Tuesday, July 8, 2003, 8:28:27 AM
Subject: WG Action: Layer 2 Virtual Private Networks (l2vpn) Working Group

===8<==============Original message text===============
A new IETF working group has been formed in the Internet Area of the IETF.
For additional information, please contact the Area Directors or the WG Chairs.

Layer 2 Virtual Private Networks (l2vpn)
----------------------------------------

Current Status: Active Working Group

Chair(s):
Rick Wilder <[email-masked]>
Vach Kompella <[email-masked]>
Loa Andersson <[email-masked]>

Internet Area Director(s):
Thomas Narten <[email-masked]>
Erik Nordmark <[email-masked]>

Internet Area Advisor:
Thomas Narten <[email-masked]>

Technical Advisor(s):
Russell Housley <[email-masked]>
Alex Zinin <[email-masked]>

Mailing Lists:
General Discussion: [email-masked]
To Subscribe: https://www1.ietf.org/mailman/listinfo/l2vpn
Archive: https://www1.ietf.org/mail-archive/working-groups/l2vpn/current/maillist.html

Description of Working Group:
Alex Zinin is the routing advisor.
Russ Housley is the security advisor.

This working group is responsible for defining and specifying a
limited number of solutions for supporting provider-provisioned
layer-2 virtual private networks (L2VPNs).

The WG is responsible for standardization of the following solutions:

1. Virtual Private LAN Service (VPLS)--L2 service that emulates LAN
   across an IP and an MPLS-enabled IP network, allowing standard
   Ethernet devices communicate with each other as if they were
   connected to a common LAN segment.
  
2. Virtual Private Wire Service (VPWS)--L2 service that provides L2
   point-to-point connectivity (e.g. Frame Relay DLCI, ATM VPI/VCI,
   point-to-point Ethernet) across an IP and an MPLS-enabled IP network.

3. IP-only L2 VPNs--L2 service across an IP and an MPLS-enabled
   IP network, allowing standard IP devices to communicate with each
   other as if they were connected to a common LAN segment or a point-
   to-point circuit.

The WG will address intra-AS scenarios only at this point (other
scenarios will be considered for inclusion in the updated charter when 
the current one is completed.)
      
As a general rule, the WG will not create new protocols, but will 
provide functional requirements for extensions of the existing 
protocols that will be discussed in the protocol-specific WGs.
As a specific example, this WG will not define new encapsulation
mechanism, but will use those defined in the PWE3 WG.
L2VPN WG will review proposed protocol extensions for L2VPNs before 
they are recommended to appropriate protocol-specific WGs.

The WG will work on the following items. Adding new work items 
will require rechartering.

1. Discovery of PEs participating in L2 service, and
   topology of required connectivity

2. Signaling of l2vpn related information for the purpose of 
   setup and maintenance of l2vpn circuits. As much as possible
   PWE3 signaling procedures should be used

3. Solution documents (providing the framework for a specific
   solution, should include info on how discovery, signaling,
   and encaps work together, include security, AS as a separate document)

4. MIBs
      
5. L2VPN-specific OAM extensions--extensions to existing OAM
   solutions for VPLS, VPWS, and IP-only L2VPNs.

Where necessary, the WG will coordinate its activities with IEEE 802.1

Goals and Milestones:
Jul 03    Submit L2 requirements to IESG for publication as Informational RFC  
Jul 03    Submit L2 framework to IESG for publication as Informational RFC  
Jul 03    Identify VPLS and VPWS solutions for the WG  
Aug 03    Submit an I-D describing MIB for VPLS  
Aug 03    Submit an I-D describing MIB for VPWS  
Aug 03    Submit an I-D on OAM for VPLS  
Aug 03    Submit an I-D on OAM for VPWS  
Dec 03    Submit VPLS solution documents to IESG  
Dec 03    Submit VPWS solution documents to IESG  
Jan 04    Submit IP-only L2VPN solution documents to IESG  
Feb 04    Submit MIB for VPLS to IESG  
Feb 04    Submit MIB for VPWS to IESG  
Mar 04    Submit OAM for VPWS to IESG  
Mar 04    Submit OAM for VPLS to IESG  
Apr 04    Submit OAM for IP L2VPN to IESG  

===8<===========End of original message text===========